Last Comment Bug 401947 - MailNews view-source window lacks status bar
: MailNews view-source window lacks status bar
Status: VERIFIED FIXED
: fixed-seamonkey1.1.7, fixed-seamonkey1.1.8
Product: SeaMonkey
Classification: Client Software
Component: MailNews: Message Display (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: neil@parkwaycc.co.uk
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-31 14:38 PDT by Sander
Modified: 2009-12-20 07:58 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed patch (958 bytes, patch)
2007-10-31 14:46 PDT, neil@parkwaycc.co.uk
iann_bugzilla: review+
iann_bugzilla: approval‑seamonkey1.1.8+
Details | Diff | Splinter Review

Description Sander 2007-10-31 14:38:55 PDT
Seen with 20071030, 1.8.1 branch. Neil confirms it is present on trunk as well:
<NeilAway> Sander: yes, there's a bug, it's using the wrong window flags

This is mostly a problem because it thus also lacks a "resize" grippy, although the lack of feedback on type as you find is annoying too.
Comment 1 neil@parkwaycc.co.uk 2007-10-31 14:46:04 PDT
Created attachment 286885 [details] [diff] [review]
Proposed patch
Comment 2 Ian Neal 2007-11-04 14:14:16 PST
Comment on attachment 286885 [details] [diff] [review]
Proposed patch

r=me, tested on linux and fixes issue as described.
Comment 3 Ian Neal 2007-11-04 14:15:49 PST
(In reply to comment #0)
> Seen with 20071030, 1.8.1 branch. Neil confirms it is present on trunk as well:
> <NeilAway> Sander: yes, there's a bug, it's using the wrong window flags
> 
> This is mostly a problem because it thus also lacks a "resize" grippy, although
> the lack of feedback on type as you find is annoying too.
> 

Sander, does this patch fix your lack of feedback on type as you find too?
Comment 4 Ian Neal 2007-11-04 14:16:19 PST
Comment on attachment 286885 [details] [diff] [review]
Proposed patch

a=me for SM1.1.7 once 1.1.6 is out the door.
Comment 5 neil@parkwaycc.co.uk 2007-11-04 14:16:59 PST
Fix checked in.
Comment 6 neil@parkwaycc.co.uk 2007-11-04 14:18:45 PST
Fix checked into the branch for 1.1.7 (1.1.6 has its own branch).
Comment 7 Sander 2007-11-14 09:41:38 PST
(In reply to comment #3)
> Sander, does this patch fix your lack of feedback on type as you find too?

Yeah, it does. (What that feedback was is the Line/Col position, which of course changes with FAYT; weird how you never actually look at what it says, just that _something_ is changing down there.) :)

Note You need to log in before you can comment on or make changes to this bug.